fdpowermon_1.18_all.deb


Advertisement

Description

fdpowermon - simple battery power monitor for laptops with ACPI

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: fdpowermon
Package version: 1.18
Package release:
Package architecture: all
Package type: deb
Installed size: 45 B
Download size: 16.32 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Binary package: fdpowermon_1.18_all.deb
    Source package: fdpowermon

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install fdpowermon deb package:
      # sudo apt-get install fdpowermon

    Changelog

    2016-06-27 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.18) unstable; urgency=medium * Pass the version number of the Notify library as a string rather than as a number, so that it is not locale-sensitive anymore. * Limit the number of digits past the comma to 2 in more places. * Update Standards-Version to 3.9.8 (no applicable changes) * theme.cfg, debian/fdpowermon-icons.install: update for new location of icon directory in oxygen-icon-theme package

    2016-06-27 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.17) unstable; urgency=medium * Improve accuracy of combined battery level calculation by incorporating battery capacity and not just percentage * Hide the StatusIcon when no icon is selected, rather than leaving a blank space. * Improve parsing of theme files by skipping empty lines.

    2015-03-18 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.16) unstable; urgency=medium * Follow the XDG spec a bit better: use XDG_CONFIG_HOME if specified (still fall back to $HOME/.config if not, though). * Fix exception check in fdpowermon::theme::warning, so that we don't fall back to using dialogs after the first warning. Closes: #786370.

    2015-03-16 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.15) unstable; urgency=medium * Fix off-by-one in level parsing code * Fix language: "Compound" is an awkward replacement for combined battery percentage. Use "Combined" instead. * Switch to gtk+3

    2015-03-12 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.14) unstable; urgency=medium * Move example config file to /usr/share/doc/fdpowermon, where it belongs (from /usr/share/fdpowermon) * Support multiple batteries properly. * debian/control: Fix Vcs-Git: URL format * Update Standards-Version to 3.9.6 (nothing relevant)

    2014-04-28 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.13) unstable; urgency=medium * make use_notify an "our" variable, rather than a "my" one, so that it can actually be changed from theme files * move @main::warnings to @fdpowermon::theme::warnings, so the point at which a warning is issued can be changed as well * Minor documentation updates

    2014-02-20 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.12) unstable; urgency=medium * Update description of fdpowermon package: recent versions *do* have more features than just showing an icon, even if they're not enabled by default. * Add example theme.pl script to explain its usage. Closes: #738983. * If use libnotify fails because no DBus service is running for the libnotify stuff to show a message, fall back to using dialog boxes, too. Closes bug report not received through BTS.

    2013-12-31 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.11) unstable; urgency=medium * Update Standards-Version to 3.9.5 (no relevant changes) * Fix use of eval. Using eval to check for the presence of modules requires a string, not a code block. Closes: #738985.

    2013-07-05 - Wouter Verhelst <wouter@debian.org> fdpowermon (1.10) unstable; urgency=low * Switch to 3.0 (native) format. * Call fdpowermon::theme::warning instead of main::warning, which no longer exists since 1.9. Oops. Patch by David Purton; Closes: #714975

    2013-04-18 - Wouter Verhelst <wouter@grep.be> fdpowermon (1.9) unstable; urgency=low * Add example for perl API. * Move libgtk2-notify-perl to recommends * Introduce $fdpowermon::theme::use_notify which allows one to disable the use of notifications and fall back to dialog boxes (initialized based on whether Gtk2::Notify is installed). * The above two should allow fdpowermon >= 1.6 to run on distributions where Gtk2::Notify isn't packaged, such as Arch Linux, while also allowing allowing other users the added benefit of having the choice of maybe not using libnotify. * Fix an error in the manpage

    Advertisement
    Advertisement